package com.jxml.quick.tf;
import com.jxml.quick.*;

public class QTargetFactoryTF extends QGenericTargetFactory
{
    public void insert(Object wrapper, Object object)
    {
	((QTFWrapper)wrapper).targetFactory=(QTargetFactory)object;
    }

    public Object create(QContext context)
	throws QPE
    {
	return new QTFWrapper();
    }

    public boolean isInstance(Object object, QContext context)
    {
	return object instanceof QTargetFactory;
    }
}
